
VfsNavigator.name = ["navigator/directory"]
VfsNavigator.root.1=drives
VfsNavigator.root.1.condition = isFeatureEnabledByWorkspace("VFSNavigator.drives")
;VfsNavigator.root.2=file("c:/")
;VfsNavigator.root.3=file("d:/")
VfsNavigator.root.4 = file(%TOGETHER_HOME% + "/samples")
VfsNavigator.root.4.alias = ["navigator/together_samples"]
VfsNavigator.root.5 = file(%TOGETHER_HOME% + "/myprojects")
VfsNavigator.root.5.alias = ["navigator/user_projects"]
VfsNavigator.root.6 = file(%TOGETHER_HOME% + "/templates")
VfsNavigator.root.6.alias = "Templates"
VfsNavigator.root.6.condition = isFeatureEnabledByWorkspace("VFSNavigator.templates")

;ScriptNavigator.name = ["navigator/scripts"]
;ScriptNavigator.root.0=file(%TOGETHER_HOME% + "/togetherx/script")
;ScriptNavigator.root.0.alias = ["navigator/scripts"]
;ScriptNavigator.root.0.filter = (isDirectory() && hasScript()) || (extensionIn("py;class;java;pys") && isScript())
;ScriptNavigator.root.1=file(%TOGETHER_HOME% + "/classes/script")
;ScriptNavigator.root.1.alias = ["navigator/internal_scripts"]
;ScriptNavigator.root.1.filter = (isDirectory() && hasScript()) || (extensionIn("py;class;java;pys") && isScript())

ComponentNavigator.name = ["navigator/components"]
ComponentNavigator.root.0 = file(%TOGETHER_HOME% + "/scripts/component/ecm")
ComponentNavigator.root.0.alias = "ECM"

navigator.node.item.file.tree.root.icon = "Treeviews/tv-dir-computer.gif"

navigator.node.item.file.*.icon = "Treeviews/tv-dir-sourcefile.gif"
navigator.node.item.file.tpr.icon = "Treeviews/tv-ProjectFile.gif"

navigator.node.item.element.*.icon = "Treeviews/tv-dir-sourcefile.gif"
navigator.node.item.project.root.icon = "Treeviews/tv-dir-folder-open.gif"
navigator.node.item.element.Package.icon = "Treeviews/tv-pkg-diagram.gif"
navigator.node.item.element.Class.icon = "Treeviews/tv-class.gif"
navigator.node.item.element.ClassDiagram.icon = "Treeviews/tv-class-diagram.gif"
navigator.node.item.element.ActivityDiagram.icon = "Treeviews/tv-activity-diagram.gif"
navigator.node.item.element.ComponentDiagram.icon = "Treeviews/tv-comp-diagram.gif"
navigator.node.item.element.DeploymentDiagram.icon = "Treeviews/tv-deployment-diagram.gif"
navigator.node.item.element.SequenceDiagram.icon = "Treeviews/tv-seq--diagram.gif"
navigator.node.item.element.CollaborationDiagram.icon = "Treeviews/tv-collab-diagram.gif"
navigator.node.item.element.UseCaseDiagram.icon = "Treeviews/tv-usecase-diagram.gif"
navigator.node.item.element.StateDiagram.icon = "Treeviews/tv-state-diagram.gif"
navigator.node.item.element.BusinessProcessDiagram.icon = "Treeviews/tv-business-process-diagram.gif"


;navigator.node.item.hyperlink.url.icon = "HyperlinkTab/tv-hypr-url.gif"
;navigator.node.item.hyperlink.url_folder.icon = "HyperlinkTab/tv-hypr-url.gif"
;navigator.node.item.hyperlink.file.icon = "HyperlinkTab/tv-hypr-url.gif"
;navigator.node.item.hyperlink.file_folder.icon = "HyperlinkTab/tv-hypr-url.gif"
;navigator.node.item.hyperlink.diagram.icon = "HyperlinkTab/tv-hypr-url.gif"
;navigator.node.item.hyperlink.diagram_folder.icon = "HyperlinkTab/tv-hypr-url.gif"
